NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.FilterLatticeBuilder Class Reference

Removes rods of existing lattice bodies based on the specified filter cases. More...

Inheritance diagram for NXOpen.Features.FilterLatticeBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FilterDanglingRodsType { None, FirstLevel, Iterative }
 The type of dangling rods to be filtered. More...
 

Properties

unsafe bool FilterByAngle [get, set]
 Returns or sets the filter by angle - whether to filter or not based on the angle of the rods to the print plane. More...
 
unsafe bool FilterByLength [get, set]
 Returns or sets the filter by length - whether to removes all rods with a length exceeding the specified threshold. More...
 
unsafe
NXOpen.Features.FilterLatticeBuilder.FilterDanglingRodsType 
FilterDanglingRods [get, set]
 Returns or sets the filter dangling rods - whether to remove the dangling rods by the specified criteria or not. More...
 
unsafe NXOpen.ScCollector LatticeBodies [get, set]
 Returns or sets the lattice bodies to be filtered as per the criteria set. More...
 
unsafe NXOpen.Expression MaximumRodLength [get]
 Returns the maximum rod length - Removes all rods with a length exceeding the specified threshold. More...
 
unsafe NXOpen.Expression MinimumAngle [get]
 Returns the minimum angle - the minimum acceptable angle between the rod and the print plane. More...
 
unsafe NXOpen.Direction PrintPlaneNormal [get, set]
 Returns or sets the print plane normal - Removes all rods with an angle to print plane going below the specified threshold. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Removes rods of existing lattice bodies based on the specified filter cases.

To create a new instance of this class, use NXOpen.Features.LatticeFeatureCollection.CreateFilterLatticeBuilder

Default values.

Property Value

FilterByAngle

0

FilterByLength

0

FilterDanglingRods

None

MaximumRodLength.Value

20 (millimeters part), 0.8 (inches part)

MinimumAngle.Value

45

Created in NX1847.0.0

Deprecated in NX1899.0.0. Use NXOpen.Features.FilterLattice2Builder instead.

Member Enumeration Documentation

The type of dangling rods to be filtered.

  • Dangling rods will be kept.
  • All rods currently not being connected to lattice at both ends will be removed.
  • All rods not being connected to lattice at both ends will be removed iteratively until all rods are properly connected.
Enumerator
None 
FirstLevel 
Iterative 

Property Documentation

unsafe bool NXOpen.Features.FilterLatticeBuilder.FilterByAngle
getset

Returns or sets the filter by angle - whether to filter or not based on the angle of the rods to the print plane.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.FilterLatticeBuilder.FilterByLength
getset

Returns or sets the filter by length - whether to removes all rods with a length exceeding the specified threshold.

This reduces the odds that they break.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.FilterLatticeBuilder.FilterDanglingRodsType NXOpen.Features.FilterLatticeBuilder.FilterDanglingRods
getset

Returns or sets the filter dangling rods - whether to remove the dangling rods by the specified criteria or not.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.ScCollector NXOpen.Features.FilterLatticeBuilder.LatticeBodies
getset

Returns or sets the lattice bodies to be filtered as per the criteria set.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Features.FilterLatticeBuilder.MaximumRodLength
get

Returns the maximum rod length - Removes all rods with a length exceeding the specified threshold.

This reduces the odds that they break.

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.FilterLatticeBuilder.MinimumAngle
get

Returns the minimum angle - the minimum acceptable angle between the rod and the print plane.

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.FilterLatticeBuilder.PrintPlaneNormal
getset

Returns or sets the print plane normal - Removes all rods with an angle to print plane going below the specified threshold.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.